<?php
 
 
 

namespace PhpWA\Protocol\Proto\StatusAttribution\RLAttribution;

use UnexpectedValueException;




class Source
{
    


    const UNKNOWN = 0;
    


    const RAY_BAN_META_GLASSES = 1;
    


    const OAKLEY_META_GLASSES = 2;
    


    const HYPERNOVA_GLASSES = 3;

    private static $valueToName = [
        self::UNKNOWN => 'UNKNOWN',
        self::RAY_BAN_META_GLASSES => 'RAY_BAN_META_GLASSES',
        self::OAKLEY_META_GLASSES => 'OAKLEY_META_GLASSES',
        self::HYPERNOVA_GLASSES => 'HYPERNOVA_GLASSES',
    ];

    public static function name($value)
    {
        if (!isset(self::$valueToName[$value])) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no name defined for value %s', __CLASS__, $value));
        }
        return self::$valueToName[$value];
    }


    public static function value($name)
    {
        $const = __CLASS__ . '::' . strtoupper($name);
        if (!defined($const)) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no value defined for name %s', __CLASS__, $name));
        }
        return constant($const);
    }
}

